Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class SvcMethodRequest

`java.lang.Object
oracle.jbo.common.SvcMsgRequest
oracle.jbo.common.SvcMethodRequest`

All Implemented Interfaces:
  Request, java.io.Serializable

public class SvcMethodRequest
extends SvcMsgRequest
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.common.SvcMsgRequest
`REQ_ACTIVATE_STATE_2, REQ_ACTIVATE_STATE_FOR_UNDO, REQ_ACTIVATE_STATE_WITH_INFO, REQ_ADD_DYNAMIC_ATTR, REQ_ADD_QUERY_MODE, REQ_ADD_VARIABLE, REQ_ALL_APP_MOD_DEF_NAMES, REQ_ALL_ENTITY_ASSOC_DEF_NAMES, REQ_ALL_ENTITY_DEF_NAMES, REQ_ALL_VIEW_DEF_NAMES, REQ_ALL_VIEW_LINK_DEF_NAMES, REQ_APP_MOD_DEF_NAMES, REQ_APP_MOD_NAMES, REQ_APPLICATION_MODULE, REQ_APPLY_CHANGE_SET, REQ_APPLY_VIEW_CRITERIA, REQ_CANCEL_DML_OPERATIONS, REQ_CANCEL_QUERY, REQ_CLEAR_ENTITY_CACHE, REQ_CLEAR_VO_CACHE, REQ_CLEAR_VO_CACHES, REQ_CLOSE_LOB, REQ_COMMIT, REQ_COMMIT_AND_SAVE_CHANGE_SET, REQ_COMPONENT_OBJECT, REQ_CONNECT_TO_DS, REQ_CONNECT_TO_DS_USING_ENV, REQ_CONNECT_TO_DS_USING_ENV_USER_PWD, REQ_CONNECT_TO_DS_USING_USER_PWD, REQ_CONNECT_USING_INFO, REQ_CONNECT_USING_URL, REQ_CONNECT_USING_USER_PWD, REQ_CREATE_AND_INIT_ROW, REQ_CREATE_APPLICATION_MODULE, REQ_CREATE_COMPONENT_OBJECT, REQ_CREATE_DETAIL_RS, REQ_CREATE_ROW, REQ_CREATE_ROW_SET, REQ_CREATE_RSI, REQ_CREATE_VIEW_LINK, REQ_CREATE_VIEW_OBJECT, REQ_CREATE_VL_BTWN_VOS, REQ_CREATE_VL_FROM_ENT_ASSOC, REQ_CREATE_VO_FROM_QUERY_CLAUSES, REQ_CREATE_VO_FROM_QUERY_STMT, REQ_CREATE_VO_ON_ENTITY, REQ_CREATE_VO_ON_ROW_SET, REQ_DEFINE_NAMED_WHERE_CLAUSE_PARAM, REQ_DETAILS_IN_BATCH, REQ_DISCONNECT, REQ_DISCONNECT_WITH_RETAIN_STATE, REQ_DO_POOL_MESSAGE, REQ_DUMP_QUERY_RESULT, REQ_ENTITY_ASSOC_DEF_NAMES, REQ_ENTITY_DEF_NAMES, REQ_EXECUTE_COMMAND, REQ_EXECUTE_METHOD, REQ_EXECUTE_QUERY, REQ_FETCH_ATTR_PROPERTIES, REQ_FETCH_ATTR_PROPERTIES_MAP, REQ_FETCHED_ROW_COUNT, REQ_FIND_AND_READ_ROW_XML, REQ_FIND_AND_SET_BY_KEY, REQ_FIND_APPLICATION_MODULE, REQ_FIND_BY_ENTITY, REQ_FIND_BY_KEY, REQ_FIND_BY_VIEW_CRITERIA, REQ_FIND_COMPONENT_OBJECT, REQ_FIND_ROW_SET, REQ_FIND_RSI, REQ_FIND_RSI_FOR_ENTITY, REQ_FIND_VIEW_LINK, REQ_FIND_VIEW_LINK_ACCESSOR, REQ_FIND_VIEW_OBJECT, REQ_FIND_VIEW_OBJECT_USING_ENTITY, REQ_FIND_VO_WITH_PARAMS, REQ_FIRST, REQ_GET_ACCESS_MODE, REQ_GET_AM_INFO, REQ_GET_ATTR_INDICES_FOR_ENTITY_ATTR, REQ_GET_ATTRIBUTE_DEF_INFO, REQ_GET_CONNECTION_MD, REQ_GET_CURRENT_ROW, REQ_GET_DEFAULT_RS, REQ_GET_DEFAULT_RSI, REQ_GET_DETAIL_ROW_SETS, REQ_GET_DML_OPERATION_TIMEOUT, REQ_GET_DOMAIN_VALUE, REQ_GET_ESTIMATED_ROW_COUNT, REQ_GET_ITER_MODE, REQ_GET_LOCALE, REQ_GET_LOCKING_MODE, REQ_GET_MASTER_RSIS, REQ_GET_MAX_FETCH_SIZE, REQ_GET_MOST_RECENT_STACK_ID, REQ_GET_ORDER_BY_CLAUSE, REQ_GET_PROPERTIES, REQ_GET_QUERY, REQ_GET_QUERY_MODE, REQ_GET_QUERY_OPTIMIZER_HINT, REQ_GET_QUERY_TIMEOUT, REQ_GET_ROW_BY_KEY, REQ_GET_ROW_FROM_HANDLE, REQ_GET_ROW_MATCH, REQ_GET_ROW_SETS, REQ_GET_ROW_VALIDATION, REQ_GET_RSIS, REQ_GET_SORT_BY, REQ_GET_STYLES, REQ_GET_VERSION, REQ_GET_VIEW_CRITERIA, REQ_GET_VIEW_LINKS, REQ_GET_VO_ATTR_PROPERTIES, REQ_GET_VO_PROPERTIES, REQ_GET_WHERE_CLAUSE, REQ_GET_WHERE_CLAUSE_PARAMS, REQ_HAS_MORE_ROWS, REQ_INTERNAL_SET_RANGE_START, REQ_INVOKE_DOMAIN_METHOD, REQ_IS_ATTR_UPDATEABLE, REQ_IS_BUNDLED_EXC_MODE, REQ_IS_CLEAR_CACHE_ON_COMMIT, REQ_IS_CLEAR_CACHE_ON_ROLLBACK, REQ_IS_CONNECTED, REQ_IS_EXECUTED, REQ_IS_FETCH_COMPLETE, REQ_IS_RANGE_AT, REQ_IS_TRANS_DIRTY, REQ_IS_VALID_ID_FOR_UNDO, REQ_JAAS_USER_ROLES, REQ_LAST, REQ_LOAD_PACKAGE, REQ_LOB_DOMAIN, REQ_LOCK_ROW, REQ_NEXT, REQ_NEXT_RANGE_SET, REQ_NULL, REQ_OBJECT_REMOVED, REQ_PACKAGE_NAMES, REQ_PASSIVATE_STATE, REQ_PASSIVATE_STATE_2, REQ_PASSIVATE_STATE_FOR_UNDO, REQ_PASSIVATE_STATE_WITH_ID, REQ_PASSIVATE_STATE_WITH_ID_2, REQ_POST_CHANGES, REQ_POST_ROWS, REQ_PREPARE_SESSION, REQ_PREVIOUS, REQ_PREVIOUS_RANGE_SET, REQ_READ_LOB, REQ_READ_ROW_XML, REQ_READ_ROWSET_XML, REQ_RECONNECT, REQ_RECONNECT_WO_FORCE, REQ_REF_OBJECT, REQ_REFRESH_CACHE, REQ_REFRESH_PROPERTY, REQ_REFRESH_ROW, REQ_REFRESH_VARIABLES, REQ_REFRESH_VO_PROPERTY, REQ_REMOTE_SERVER_AM, REQ_REMOVE_CHANGE_SET, REQ_REMOVE_COMPONENT, REQ_REMOVE_MASTER_RSI, REQ_REMOVE_NAMED_WHERE_CLAUSE_PARAM, REQ_REMOVE_ROW, REQ_REMOVE_ROW_AND_RETAIN, REQ_REMOVE_ROW_FROM_COLLECTION, REQ_REMOVE_STATE, REQ_REMOVE_VARIABLE, REQ_RESERVE_PASSIVATION_ID, REQ_RESERVE_SNAPSHOT_ID, REQ_RESET, REQ_RESET_STATE, REQ_RESET_STATE_WITH_FLAGS, REQ_ROLLBACK, REQ_ROW, REQ_ROW_COUNT, REQ_ROW_COUNT_IN_RANGE, REQ_ROW_IS_DEAD, REQ_ROW_SET, REQ_ROW_SET_ITERATOR, REQ_SCROLL, REQ_SEND_DATA_ROW, REQ_SET_ACCESS_MODE, REQ_SET_ASSOC_CONSISTENT, REQ_SET_BUNDLED_EXC_MODE, REQ_SET_CLEAR_CACHE_ON_COMMIT, REQ_SET_CLEAR_CACHE_ON_ROLLBACK, REQ_SET_CURRENT_ROW, REQ_SET_CURRENT_ROW_AT_RANGE_INDEX, REQ_SET_DML_OPERATION_TIMEOUT, REQ_SET_FORWARD_ONLY, REQ_SET_ITER_MODE, REQ_SET_LOCALE, REQ_SET_LOCKING_MODE, REQ_SET_MASTER_RSI, REQ_SET_MAX_FETCH_SIZE, REQ_SET_NEW_ROW_STATE, REQ_SET_ORDER_BY_CLAUSE, REQ_SET_PROPERTY, REQ_SET_QUERY_MODE, REQ_SET_QUERY_OPTIMIZER_HINT, REQ_SET_QUERY_TIMEOUT, REQ_SET_RANGE_SIZE, REQ_SET_RELEASE_LEVEL, REQ_SET_ROW_MATCH, REQ_SET_ROW_VALIDATION, REQ_SET_SORT_BY, REQ_SET_STORE_FOR_PASSIVE_STATE, REQ_SET_STYLES, REQ_SET_VARIABLE_VALUE, REQ_SET_VO_PROPERTY, REQ_SET_WHERE_CLAUSE, REQ_SET_WHERE_CLAUSE_PARAM, REQ_SET_WHERE_CLAUSE_PARAMS, REQ_SORT_CRITERIA_MAP, REQ_SYNC_ROT, REQ_SYNC_WORKING_SET, REQ_TRANS_POST_GET_ATTR, REQ_TRANS_POST_ROW_OP, REQ_TRANS_POST_SET_ATTR, REQ_TRANSFORM_EXCEPTION_PARAMS, REQ_VALIDATE, REQ_VALIDATE_ROW, REQ_VARIABLE_CHANGED, REQ_VIEW_DEF_NAMES, REQ_VIEW_LINK, REQ_VIEW_LINK_DEF_NAMES, REQ_VIEW_LINK_NAMES, REQ_VIEW_OBJECT, REQ_VIEW_OBJECT_NAMES, REQ_WRITE_LOB, REQ_WRITE_ROW_XML, REQ_WRITE_ROW_XML_WITH_MAP, REQ_WRITE_ROWSET_XML, REQ_WRITE_ROWSET_XML_WITH_MAP, REQ_WS_OBJECT`

Constructor Summary
`SvcMethodRequest(java.lang.Object target, java.lang.String methodName, java.lang.String[] argTypeNames, java.lang.Object[] args)`
`SvcMethodRequest(java.lang.String methodName, java.lang.String[] argTypeNames, java.lang.Object[] args)`

Method Summary
`java.lang.Object[]` | `getMethodArgs()`
`java.lang.String[]` | `getMethodArgTypeNames()`
`java.lang.String` | `getMethodName()`
`java.lang.Object` | `getTarget()`
`void` | `marshal(ObjectMarshaller marshaller)`
`void` | `unMarshal(ObjectMarshaller marshaller)`

Methods inherited from class oracle.jbo.common.SvcMsgRequest
`getName, getOperation, getSourceId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvcMethodRequest

    public SvcMethodRequest(java.lang.String methodName,
                            java.lang.String[] argTypeNames,
                            java.lang.Object[] args)

### SvcMethodRequest

    public SvcMethodRequest(java.lang.Object target,
                            java.lang.String methodName,
                            java.lang.String[] argTypeNames,
                            java.lang.Object[] args)

Method Detail

### getMethodName

    public java.lang.String getMethodName()

### getTarget

    public java.lang.Object getTarget()

### getMethodArgTypeNames

    public java.lang.String[] getMethodArgTypeNames()

### getMethodArgs

    public java.lang.Object[] getMethodArgs()

### marshal

    public void marshal(ObjectMarshaller marshaller)

### unMarshal

    public void unMarshal(ObjectMarshaller marshaller)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.